component: OxtsDiagnostic
proto_imports:
  - vehicle/oxts_gateway/diagnostics/oxts_diagnostics.proto
metric: OxtsMetric
namespace: zoox::oxts
faults:
  - id: 0
    name: RTK_PRECISION_DEGRADED
    severity: WARNING
    description: "No RTK corrections"
  - id: 1
    name: RMS_ERROR_TOO_HIGH
    severity: WARNING
    description: "RMS error high, even for standard GPS"
  - id: 2
    name: OXTS_UNINITIALIZED
    severity: ERROR
    description: "Oxts Uninitialized, pose not published. Drive around some"
    triggers_nogo: true
  - id: 3
    name: OXTS_DISCONNECTED
    severity: ERROR
    description: "Lost or could not connect to Oxts. Make sure power is on and the ethernet cable is connected properly."
    triggers_nogo: true
  - id: 4
    name: HARDWARE_UNRESPONSIVE
    severity: ERROR
    description: "Could not connect to udp socket"
    triggers_nogo: true
